#include "defo.h"
#include "my-interval-func.h"
#include "cute-calc.h"

using namespace std;

extern MyDouble biasCute;

bool testIfDoCute(const MyInterval &r)
// returns true if we decide that it is better do the optimisation in computations of x^a/r^b
// <biasCute> a global variable
{
  MyDouble rDiam = diam(r).rightBound();
  return (rDiam / r.leftBound() > biasCute);
}

#ifdef SPATIAL
#include "cute-calc-3d.cpp"
#else // PLANAR
#include "cute-calc-2d.cpp"
#endif